// 
// このコードは、https://demo.mescius.jp/diodocs/pdf のサンプルの一部として提供されています。
// © MESCIUS inc. All rights reserved.
// 
using System.IO;
using System.Drawing;
using System.Text.RegularExpressions;
using GrapeCity.Documents.Pdf;
using GrapeCity.Documents.Pdf.Annotations;
using GrapeCity.Documents.Pdf.TextMap;
using GrapeCity.Documents.Pdf.AcroForms;

namespace DsPdfWeb.Demos
{
    // このサンプルでは、GcPdfDocument.Redact() メソッドの使用方法を示しています。
    // FindAndRedact サンプルによって生成された PDF をロードします。
    // その後、墨消し対象としてマークが付けられた特定の領域に墨消しを適用しています。
    // なお、墨消し注釈のない元の PDF は TimeSheet によって作成されています。
    public class ApplyRedact
    {
        public int CreatePDF(Stream stream)
        {
            var doc = new GcPdfDocument();
            using (var fs = File.OpenRead(Path.Combine("Resources", "PDFs", "find-and-redact.pdf")))
            {
                // 墨消し注釈（墨消し用にマークされた領域）を含む PDF をロードします。
                doc.Load(fs);

                // 墨消しを適用します。
                doc.Redact();

                // PDF ドキュメントを保存します。
                doc.Save(stream);
                return doc.Pages.Count;
            }
        }
    }
}
